Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Compare badge collections between accounts

POST/v1/account.compareBadges
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
accountsAccountSearch[] | nullrequired
min items 2 · max items 10
Show properties
Array of AccountSearch
idIDSearch
Show properties
accountIdinteger<int32>

Account ID to search for

min 0 · min length 7
steamId64string

SteamID64 to search for

min length 17 · max length 17
vanityVanitySearch
Show properties
typestringrequired

Which type of vanity to search for

Allowed:steaminternal
valuestringrequired

Vanity to search for

min length 2 · matches ^[a-zA-Z0-9-_]+$
appIdsinteger<int32>[] | null
appTypesstring[] | null
differenceDifferenceFilter

Only badges owned by has but not by lacks. Both accounts must be in accounts.

Show properties
hasAccountSearchrequired

Account that must own the badge

Show properties
idIDSearch
vanityVanitySearch
lacksAccountSearchrequired

Account that must not own the badge

Show properties
idIDSearch
vanityVanitySearch
excludeAppIdsinteger<int32>[] | null
filterstring
default: "all"
Allowed:allnormalfoil
ignorestring[] | null
matchstring
default: "tuple"
Allowed:tupletupleLeveltupleMinLevel
minLevelinteger<int32>

Only used when match=tupleMinLevel

min 0
modestring
default: "missing"
Allowed:missingownedByAllunique
orderOrder
Show properties
bystringrequired
default: "scarcity"
Allowed:scarcitylevelnamexpcompletedAt
directionstringrequired
default: "desc"
Allowed:ascdesc
pageinteger<int32>
min 0 · default: 1
rangesRangeFilter[] | null
Show properties
Array of RangeFilter
maxinteger<int64>
min 0
mininteger<int64>
min 0
typestringrequired
Allowed:scarcity
Responses
200

OK

accountsResolvedAccount[] | nullrequired
Show properties
Array of ResolvedAccount
accountIdinteger<int32>required
min 0
avatarstringrequired
steamIdstringrequired
vanitystring
pagesinteger<int32>required

The number of pages

totalHitsinteger<int32>required

The total number of hits for all pages

tuplesComparedTuple[] | nullrequired
Show properties
Array of ComparedTuple
accountsTupleAccount[] | nullrequired
Show properties
Array of TupleAccount
completedAtstring<date-time>
levelinteger<int32>required
min 0
steamIdstringrequired
xpinteger<int32>required
min 0
appIdinteger<int32>required
min 0
appImagestringrequired
appNamestringrequired
appTypestringrequired
badgeImagestringrequired
badgeNamestringrequired
isEventbooleanrequired
isFoilbooleanrequired
isSalebooleanrequired
maxLevelinteger<int32>required
min 0
scarcityinteger<int64>required
min 0
steamIdinteger<int32>required
min 0
trackedHoldersinteger<int64>required
min 0
400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
404

Not Found

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
422

Unprocessable Entity

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.steamsets.com/v1/account.compareBadges' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "accounts": [
    {
      "id": {
        "accountId": 0,
        "steamId64": "stringstringstrin"
      },
      "vanity": {
        "type": "steam",
        "value": "string"
      }
    },
    {
      "id": {
        "accountId": 0,
        "steamId64": "stringstringstrin"
      },
      "vanity": {
        "type": "steam",
        "value": "string"
      }
    }
  ],
  "appIds": [
    0
  ],
  "appTypes": [
    "string"
  ],
  "difference": {
    "has": {
      "id": {
        "accountId": 0,
        "steamId64": "stringstringstrin"
      },
      "vanity": {
        "type": "steam",
        "value": "string"
      }
    },
    "lacks": {
      "id": {
        "accountId": 0,
        "steamId64": "stringstringstrin"
      },
      "vanity": {
        "type": "steam",
        "value": "string"
      }
    }
  },
  "excludeAppIds": [
    0
  ],
  "filter": "all",
  "ignore": [
    "event"
  ],
  "match": "tuple",
  "minLevel": 0,
  "mode": "missing",
  "order": {
    "by": "scarcity",
    "direction": "asc"
  },
  "page": 1,
  "ranges": [
    {
      "max": 0,
      "min": 0,
      "type": "scarcity"
    }
  ]
}'
Response
{
  "accounts": [
    {
      "accountId": 0,
      "avatar": "string",
      "steamId": "string",
      "vanity": "string"
    }
  ],
  "pages": 1,
  "totalHits": 1,
  "tuples": [
    {
      "accounts": [
        {
          "completedAt": "2019-08-24T14:15:22Z",
          "level": 0,
          "steamId": "string",
          "xp": 0
        }
      ],
      "appId": 0,
      "appImage": "string",
      "appName": "string",
      "appType": "string",
      "badgeImage": "string",
      "badgeName": "string",
      "isEvent": true,
      "isFoil": true,
      "isSale": true,
      "maxLevel": 0,
      "scarcity": 0,
      "steamId": 0,
      "trackedHolders": 0
    }
  ]
}